Page MenuHomePhabricator

Visual editor and 2017 wikitext editor mishandle cascading protection
Closed, ResolvedPublic

Description

When trying to edit a page transcluded in a cascade-protected page in the visual editor, instead of showing the typical "you can't do this" error, it lets you edit the page, showing the message that admins see when editing that page in the "Warnings" section.

The actual "you can't edit this" error messages doesn't occur until you try to publish your changes.

See Template:Citationneeded for an example.

Details

Related Gerrit Patches:

Event Timeline

Pppery created this task.Feb 27 2019, 12:44 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2019, 12:44 AM
marcella moved this task from To Triage to Freezer on the VisualEditor board.Mar 12 2019, 3:50 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMar 12 2019, 3:50 PM
This comment was removed by Pppery.

The example I provided doesn't work anymore, because the page was protected, but the bug still exists

Note that there is an error message:

But in spite of that, the editor acts as if the page was editable (until you try to save changes). It should probably use the read-only mode we use for protected pages.

Change 511047 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Check if page is really editable and call #setReadOnly accordingly

https://gerrit.wikimedia.org/r/511047

Change 511047 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Check if page is really editable and call #setReadOnly accordingly

https://gerrit.wikimedia.org/r/511047

Pppery removed a subscriber: Pppery.
matmarex moved this task from Inbox to Low Priority on the Editing QA board.Jun 12 2019, 4:12 PM
marcella edited projects, added Skipped QA; removed Editing QA.Jul 24 2019, 5:18 PM
marcella moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Sep 2 2019, 11:53 PM
ppelberg claimed this task.